Commit 7a5302cd authored by omega8cc's avatar omega8cc Committed by anarcat

Issue #1256372 - Use drush_sql_read_db_spec with Drush 4.5 or newer to support...

Issue #1256372 - Use drush_sql_read_db_spec with Drush 4.5 or newer to support provisioning Drupal 7 sites.
parent 0c4d648d
......@@ -80,7 +80,13 @@ function install_main() {
// We have an existing settings.php.
if (function_exists('drush_sql_read_db_spec')) {
$db_spec = drush_sql_read_db_spec();
}
else {
$db_spec = drush_core_site_install_db_spec();
}
$db_spec['db_prefix'] = $GLOBALS['db_prefix'];
if ($db_spec['driver'] == 'mysqli') {
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment